/**
 * @version		$Id: template_utilities.js 1.0 Dec 01, 2010 19:02:38Z OmegaTheme $
 * @package		OmegaTheme Joomla Template
 * @subpackage	MegaTech
 * @author		OmegaTheme (service@omegatheme.com)
 * @link 		http://www.omegatheme.com
 * @copyright	Copyright (C) 2008 - 2010 OmegaTheme
 * @license		GNU/GPL V2
 * @description	This file contains templates utils as js.
*/

var TemplateUtilities = {
		
	start: function() {

		/* Match height of div tags */
		//TemplateUtilities.eqHeight();
	},
	
	/* equal height of div column */
	eqHeight: function() {
		var first_els = $$('#right');
		var second_els = $$('#main');
		var maxHeight = 0;
		first_els.each(function(item, index){
			var height = parseInt(item.getStyle('height'));
			if(height > maxHeight){ maxHeight = height; }
		});
		second_els.each(function(item, index){
			var height = parseInt(item.getStyle('height'));
			if(height > maxHeight){ maxHeight = height; }
		});
		first_els.setStyle('height', maxHeight+'px');
		second_els.setStyle('height', maxHeight+'px');
	}

};
window.addEvent('domready', TemplateUtilities.start);
