<?php
/**
 * @version		$Id: index.php 1.0 Dec 01, 2010 19:02:38Z OmegaTheme $
 * @package		OmegaTheme Joomla Template
 * @subpackage	MegaTech
 * @author		OmegaTheme (service@omegatheme.com)
 * @link 		http://www.omegatheme.com
 * @copyright	Copyright (C) 2008 - 2010 OmegaTheme
 * @license		GNU/GPL V2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.mootools');

/*list element to fix png at ie6*/
//$listpngfix = '.pngfix';

// include template general config and tools	
include_once(dirname(__FILE__).'/libs/mega.tpl.cfg.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<jdoc:include type="head" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $template->url ?>/css/print.css" type="text/css" media="print" />
</head>
<body id="omega-21tech" class="page <?php echo ($template->isHome() ? 'home' : 'inner'); ?> <?php echo $this->params->get('columns'); ?>">
	<div id="page-bg">
		<!-- begin of wrapper -->
		<div class="wrapper">
			<div class="wrapper-bg">
				<!-- begin of header-->
				<div id="header">
					<div id="top">
						<jdoc:include type="megamodules" name="user4" style="mega" />
					</div>
					<h1 id="logo"><a href="index.php" title="Omegatheme MegaTech"><img src="<?php echo $template->url ?>/images/logo.jpg" alt="Omegatheme MegaTech" /></a></h1>
					<div id="menu">
						<jdoc:include type="megamodules" name="menu" style="mega" />
					</div>
				</div>
				<!-- end of header-->
				<!-- begin of slideshow -->
				<?php if($this->countModules('slideshow')): ?> 
				<div id="slideshow">
					<jdoc:include type="megamodules" name="slideshow" style="mega" />
				</div>
				<?php endif; ?>
				<!-- end of slideshow -->
				<!-- begin of middle -->
				<div id="middle">
					<div id="middle-bg">
						<!-- begin of featured-contents -->
						<?php if($this->countModules('featured-contents')): ?> 
						<div id="featured-contents">
							<jdoc:include type="megamodules" name="featured-contents" style="mega" />
						</div>
						<?php endif; ?>
						<!-- end of featured-contents -->
						
						<!-- begin of right -->
						<?php if($this->countModules('right')): ?> 
						<div id="right">
							<jdoc:include type="megamodules" name="right" style="mega" />
						</div>
						<?php endif; ?>
						<!-- end of right -->
						<!-- begin of main -->
						<div id="main">
							<!-- begin of left -->
							<?php if($this->countModules('left')): ?> 
							<div id="left">
								<jdoc:include type="megamodules" name="left" style="mega" />
							</div>
							<?php endif; ?>
							<!-- end of left -->
							<!-- begin of content -->
							<div id="content">
								<?php if ($this->countModules('breadcrumbs')) : ?>
								<div id="breadcrumbs">
									<jdoc:include type="megamodules" name="breadcrumb" style="mega" />
								</div>
								<?php endif; ?>
								<div class="floatbox">
									<jdoc:include type="message" />
									<jdoc:include type="component" />
								</div>
							</div>
							<!-- end of content -->
						</div>
						<!-- end of main -->
						
					</div>
				</div>
				<!-- end of middle -->
			</div>
		</div>
		<!-- end of wrapper -->
		<!-- begin of footer -->
		<div id="footer">
			<!-- <a class="anchor" href="#page">^Top</a> -->
			<div class="footer-wrapper">
				<div class="copyright">
					<p>Copyright &copy; 2010 <a href="#" title="MegaTech"><strong>OmegaTheme</strong></a>. All rights reserved.</p>
				</div>
				<jdoc:include type="megamodules" name="bottom" style="mega" />
			</div>
		</div>
		<!-- end of footer -->
	</div>
	<!-- end of page-bg -->
</body>
</html>
